﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_VESSEL_SCHEDULEScript")
<div class="content">
    <fieldset>
        <table width="100%">
            <tr>
                <td rowspan="3">
                    <fieldset>
                        <table>
                            <tr>
                                <td valign="top">
                                    @using (Html.BeginForm("CallbackUpload", "VESSEL_SCHEDULE", FormMethod.Post))
                                    {
    
                                        @Html.DevExpress().UploadControl(
                                        Uploader =>
                                        {
                                            Uploader.Name = "UploadButton";
                                            Uploader.CallbackRouteValues = new { Controller = "VESSEL_SCHEDULE", Action = "CallbackUpload" };
                                            Uploader.ShowProgressPanel = false;
                                            Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                                            Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBack(e.callbackData);}}";
                                            Uploader.Width = 260;

                                        }).GetHtml()    
                                    }
                                </td>
                                <td>
                                    @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "I_Upload";
                                    Button.Text = "Upload";
                                    Button.Width = 90;
                                    Button.ClientSideEvents.Click = "UploadData";
                                    //Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = true;
                                    Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("VESSEL_SCHEDULE", "FTR-SPEX-55-01", "Upload");
                                }).GetHtml()
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    @Html.DevExpress().HyperLink(Link =>
                                {
                                    Link.Name = "I_DownloadLink";
                                    Link.Properties.Text = "Download Template";
                                    Link.Width = 160;
                                    Link.NavigateUrl = "Template/TemplateVesselSchedule.xlsx";
                                    Link.Style.Add("display", "inline-table");

                                }).GetHtml()
                                </td>
                            </tr>
                        </table>
                    </fieldset>
                </td>
                <td style="width: 25px">
                    &nbsp;
                </td>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Packing Company";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_Packing_Company";
                        settings.Width = 110;
                        settings.Properties.DropDownWidth = 50;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        //settings.CallbackRouteValues = new { Controller = "VESSEL_SCHEDULE", Action = "GetPackingCompany" };
                        settings.Properties.CallbackPageSize = 30;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        //settings.SelectedIndex = 0;
                        //settings.Properties.ValueField = "Status";
                        settings.Properties.ValueType = typeof(string);
                        //settings.Properties.Columns.Add("Status", "Status", 130);
                    }
                  ).BindList(ViewData["Packing_Company"]).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Vanning Date From";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
                  settings =>
                  {
                      settings.Name = "I_VANNING_DT_FROM";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                      settings.Properties.DisplayFormatInEditMode = true;
                      settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                      settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                      settings.ReadOnly = false;
                      settings.Properties.UseMaskBehavior = true;
                      settings.Properties.EditFormat = EditFormat.Custom;
                      settings.Properties.CalendarProperties.EnableYearNavigation = true;
                      settings.Width = 110;
                      settings.Properties.ClientSideEvents.DateChanged = "I_VANNING_DT_FROM_OnChanged";
                  }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*To";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
                  settings =>
                  {
                      settings.Name = "I_VANNING_DT_TO";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                      settings.Properties.DisplayFormatInEditMode = true;
                      settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                      settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                      settings.ReadOnly = false;
                      settings.Properties.UseMaskBehavior = true;
                      settings.Properties.EditFormat = EditFormat.Custom;
                      settings.Properties.CalendarProperties.EnableYearNavigation = true;
                      settings.Width = 110;
                      //settings.Properties.ClientSideEvents.DateChanged = "I_ETA_OnChanged";
                  }).GetHtml()
                </td>
                <td colspan="2">
                </td>
            </tr>
            <tr>
                <td style="width: 25px">
                    &nbsp;
                </td>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Buyer Code";
                    }).GetHtml()
                    @Html.DevExpress().TextBox(hsettings =>
                        {
                            hsettings.Name = "Process_ID2";
                            hsettings.ClientVisible = false;
                        }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_BUYER_CD";
                            settings.Width = 270;
                            settings.Properties.DropDownWidth = 650;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            //settings.CallbackRouteValues = new { Controller = "VESSEL_SCHEDULE", Action = "GetBuyyerForCombo" };
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}-{1}";
                            settings.Properties.ValueField = "BUYER_CD";
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.Columns.Add("BUYER_CD", "BUYER_CD", 130);
                            settings.Properties.Columns.Add("BUYER_NAME", "BUYER_NAME", Unit.Percentage(500));
                        }
                   ).BindList(ViewData["BUYER"]).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "ETD From";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
                  settings =>
                  {
                      settings.Name = "I_ETD_FROM";
                      settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                      settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                      settings.Properties.DisplayFormatInEditMode = true;
                      settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                      settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                      settings.ReadOnly = false;
                      settings.Properties.UseMaskBehavior = true;
                      settings.Properties.EditFormat = EditFormat.Custom;
                      settings.Properties.CalendarProperties.EnableYearNavigation = true;
                      settings.Width = 110;
                      settings.Properties.ClientSideEvents.DateChanged = "I_ETD_FROM_OnChanged";
                  }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "To";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().DateEdit(
                      settings =>
                      {
                          settings.Name = "I_ETD_TO";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                          settings.Properties.DisplayFormatInEditMode = true;
                          settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                          settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                          settings.ReadOnly = false;
                          settings.Properties.UseMaskBehavior = true;
                          settings.Properties.EditFormat = EditFormat.Custom;
                          settings.Properties.CalendarProperties.EnableYearNavigation = true;
                          settings.Width = 110;
                          //settings.Properties.ClientSideEvents.DateChanged = "I_ETA_OnChanged";
                      }).GetHtml()
                </td>
                <td colspan="2">
                </td>
            </tr>
            <tr>
                <td colspan="7">
                </td>
                <td>
                    @Html.DevExpress().Button(
                     edtSetting =>
                     {
                         edtSetting.Name = "cmdSearch";
                         edtSetting.Text = "Search";
                         edtSetting.Width = 75;
                         edtSetting.ClientSideEvents.Click = "OnSearch";
                         edtSetting.Style.Add("display", "inline-table");
                         edtSetting.UseSubmitBehavior = true;
                         //di nonaktifin dulu untuk direct login
                         edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("VESSEL_SCHEDULE", "FTR-SPEX-55-01", "SEARCH");
                         //edtSetting.ClientSideEvents.Init = "InitData";
                     }
                     ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                    edtSetting =>
                    {
                        edtSetting.Name = "cmdClear";
                        edtSetting.Width = 75;
                        edtSetting.Text = "Clear";
                        edtSetting.ClientSideEvents.Click = "OnClear";
                        edtSetting.Style.Add("display", "inline-table");
                        edtSetting.UseSubmitBehavior = true;
                        //di nonaktifin dulu untuk direct login
                        edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("VESSEL_SCHEDULE", "FTR-SPEX-55-01", "CLEAR");
                        // edtSetting.ClientSideEvents.Init = "InitData";
                    }).GetHtml()
                </td>
            </tr>
        </table>
    </fieldset>
</div>
<div class="content" style="min-height: 300px; padding-right: 10px;">
    <fieldset>
        <table width="100%">
            <tr>
                <td style="min-height: 300px; padding-right: 10px;">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Packing Company";
                }).GetHtml()
                </td>
                <td style="min-height: 300px; padding-right: 10px;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "Txt_Packing_Company";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                }).GetHtml()
                </td>
                <td style="min-height: 300px; padding-right: 10px;">
                    @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Buyer Code";
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "Txt_BUYER_CD";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 300;
                    settings.Properties.MaxLength = 25;
                }).GetHtml()
                </td>
                <td align="right">
                    @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdDelete";
                    Button.Text = "Delete";
                    Button.Width = 75;
                    Button.Style.Add("display", "inline-table");
                    Button.ClientSideEvents.Click = "DeleteData";
                    Button.UseSubmitBehavior = true; ;
                    // Button.ClientSideEvents.Init = "InitData";
                    //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("VESSEL_SCHEDULE", "FTR-SPEX-55-01", "DELETE");

                }).GetHtml()
                </td>
            </tr>
        </table>
    </fieldset>
    <br />
    @Html.Partial("_VESSEL_SCHEDULEGrid")
</div>
